Subject: Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship withOWAMP-Test

From: <[email-masked]>
Date: Mon, 10 Apr 2017 10:06:12 +0800 (CST)

Fully agree.

After the split of two scenarios the implementer and the operator can choose YANG model as needed easily and clearly.

Best Regards,

Xiao Min

原始邮件

发件人： ＜[email-masked]＞
收件人： ＜[email-masked]＞
抄送人： ＜[email-masked]＞ ＜[email-masked]＞
日 期 ：2017年04月08日 08:55
主 题 ：Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship withOWAMP-Test

Hi Mahesh,if one uses TWAMP-Control model defined in draft-ietf-ippm-twamp-yang, then, according to Figure 2, there's no need neither for container session-sender, nor for container session-reflector. In this case Session-Sender and Session-Reflector have only operational state data as all configuration from Control-Client and Server communicated to them over proprietary APIs. If one wants to instantiate TWAMP test session using YANG model from draft-ietf-ippm-twamp-yang, then there will be several issues with parameters referring to a Control-Client. Hence I propose to work together to use YANG model from draft-mirsky-ippm-twamp-light-yang as TWAMP-Test for the second scenario.

Regards,
Greg

On Fri, Apr 7, 2017 at 3:59 PM, Mahesh Jethanandani ＜[email-masked]＞ wrote:

Greg,

RFC 5357 defines both TWAMP-Control and TWAMP-Test and how they work together. The YANG module, which is based on the RFC, therefore models both. We see no reason to split the model. As said before, there is no requirement that you have to implement/use the entire model. 

Cheers.

On Apr 7, 2017, at 2:15 PM, Greg Mirsky ＜[email-masked]＞ wrote:

Hi Mahesh,I think that there could be two models - TWAMP-Control and TWAMP-Test. I don't see any good reason to have TWAMP-Test configuration model as part of TWAMP-Control. In fact, having it there makes control of a test session ambiguous as only one of them must be used to configure a test session. TWAMP-Control model only needs test session operational state model and it should use the one defined in TWAMP-Test model.

Regards,
Greg 

On Fri, Apr 7, 2017 at 10:57 AM, Mahesh Jethanandani ＜[email-masked]＞ wrote:

Besides, from a YANG modeling perspective, the model has to model both the Control and Test part. Implementations that choose not to use Control can choose not to do so. 

On Mar 27, 2017, at 4:07 PM, MORTON, ALFRED C (AL) ＜[email-masked]＞ wrote:

I’m sorry Roni, but that’s exactly what this phrase,

“...an incremental path to adopting TWAMP…”  means,

suggesting a multi-step process to achieve a full TWAMP

implementation.

The sentence in the body sets the context for Appendix I.

It says the Appendix describes building TWAMP-Test *first*.

Clearly, TWAMP-Test is not the final step!

Al

From: Ron Even [mailto:[email-masked]] 
Sent: Monday, March 27, 2017 6:54 PM
To: MORTON, ALFRED C (AL)
Cc: Mahesh Jethanandani [email-masked]
Subject: Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Al,

The last part of your response  " then implementing the rest of TWAMP (TWAMP-Control)." is not there. This is why I said that it does not say that you SHOULD implement the control protocol, you can stop after implmenting the test protocol.

Roni

On Mon, Mar 27, 2017 at 5:39 PM, MORTON, ALFRED C (AL) ＜[email-masked]＞ wrote:

Roni, in-line:

From: Ron Even [mailto:[email-masked]] 
Sent: Monday, March 27, 2017 5:54 PM
To: Mahesh Jethanandani
Cc: MORTON, ALFRED C (AL) [email-masked]
Subject: Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Hi,

I read both RFC5357 and RFC 4656 and even though they say that TWAMP consist of two protocol it never says that  both MUST be used anywhere in the document. The document does not have a lot of normative text.

Section 5 of RFC5357 is an example and not a requirement and even the text that was mentioned in the IPPM session

"Appendix I provides an example for purely informational purposes. It

   suggests an incremental path to adopting TWAMP, by implementing the   TWAMP-Test protocol first." 
Does not say that using TWAMP-Test without the control protocol SHOULD NOT be used.[ACM]Of course it doesn’t! It says Appendix I describes athe first step of one process of standards-track TWAMPimplementation, by starting with TWAMP-light, thenimplementing the rest of TWAMP (TWAMP-Control). 
Al 

Roni Even 

 

On Mon, Mar 27, 2017 at 4:20 PM, Mahesh Jethanandani ＜[email-masked]＞ wrote:

Greg,

And the part that you forgot to quote that followed in Section 1.1 is:

TWAMP-   Control is used to initiate, start, and stop test sessions, whereas   TWAMP-Test is used to exchange test packets between two TWAMP   entities.

There is clearly a precedence for TWAMP-Control to be a entity by itself and very much part of the TWAMP protocol.

If this is this rational for your comments on the YANG model, then I fail to see RFC 5357 backing your claim that TWAMP-control is optional.

Cheers.

On Mar 27, 2017, at 4:08 PM, MORTON, ALFRED C (AL) ＜[email-masked]＞ wrote:

Greg,

All ambiguity falls away in the context of

the complete TWAMP document, which says:

   This example eliminates the need for the TWAMP-Control protocol, and

   assumes that the Session-Reflector is configured and communicates its

   configuration with the Server through non-standard means.

The example referred to above is not TWAMP

it is the option you describe, but it is

called *TWAMP light*.

Al

From: ippm [mailto:[email-masked]] On Behalf Of Greg Mirsky
Sent: Monday, March 27, 2017 3:16 PM
To: MORTON, ALFRED C (AL)
Cc: [email-masked]
Subject: Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Hi Al,

then, in my opinion, there's certain ambiguity in the text of RFC 4656 and in RFC 5357 as well because of the following statement in the very first sentence of section 1.1 RFC 5357:

   Similar to OWAMP [RFC4656], TWAMP consists of two inter-related   protocols: TWAMP-Control and TWAMP-Test.  The relationship of these   protocols is as defined in Section 1.1 of OWAMP [RFC4656]. 
Regards,Greg

On Mon, Mar 27, 2017 at 12:24 PM, MORTON, ALFRED C (AL) ＜[email-masked]＞ wrote:

Greg,

If we had meant RFC 2119 “MAY” or “OPTIONAL” (the term

you used today when presenting) we would have used the

RFC 2119 term in the text.

There are plenty of other examples where both Control

and Test protocols are taken as “the full TWAMP”.

Al

 

From: ippm [mailto:[email-masked]] On Behalf Of Greg Mirsky
Sent: Monday, March 27, 2017 12:29 PM
To: [email-masked]
Subject: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Dear All,

the second paragraph in section 1.1 of RFC 4656 states the following:

   Although OWAMP-Test may be used in conjunction with a control   protocol other than OWAMP-Control, the authors have deliberately   chosen to include both protocols in the same RFC to encourage the   implementation and deployment of OWAMP-Control as a common   denominator control protocol for one-way active measurements. 
I interpret "may be used" as MAY per RFC 2119. Please let me know if this should not be the case. 
Regards,Greg

_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

Mahesh Jethanandani

[email-masked]

 

_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

Mahesh Jethanandani
[email-masked]

_______________________________________________
 ippm mailing list
 [email-masked]
 https://www.ietf.org/mailman/listinfo/ippm

Mahesh Jethanandani
[email-masked]